<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Matrix Utilities</TITLE>
<link href="suifmath_36.html" rel=Next>
<link href="suifmath_34.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_34.html">previous</A>, <A HREF="suifmath_36.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H3><A NAME="SEC39" HREF="suifmath_toc.html#TOC39">Matrix Utilities</A></H3>

<P>
<A NAME="IDX564"></A>
<A NAME="IDX565"></A>
<A NAME="IDX566"></A>
<A NAME="IDX567"></A>
<A NAME="IDX568"></A>
<A NAME="IDX569"></A>
<A NAME="IDX570"></A>
<A NAME="IDX571"></A>
<A NAME="IDX572"></A>
<A NAME="IDX573"></A>
<A NAME="IDX574"></A>
<A NAME="IDX575"></A>
<A NAME="IDX576"></A>
<A NAME="IDX577"></A>
<A NAME="IDX578"></A>
<A NAME="IDX579"></A>
<A NAME="IDX580"></A>
The <CODE>matrix</CODE> class also provides a number of methods to manipulate
the rows and columns of matrices.  These include routines to swap,
reshuffle, insert, delete and merge.  Methods to convert matrices to and
from an <CODE>immed_list</CODE> are also implemented, as well as print
routines.  The functionality of these routines is the same as for the
class <CODE>integer_matrix</CODE>.  See section <A HREF="suifmath_3.html#SEC3">Matrix Library</A>

</P>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_34.html">previous</A>, <A HREF="suifmath_36.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
